<?php

namespace App\Repositories;

use App\Models\File;
use Illuminate\Database\Eloquent\Collection;

class ContainerFileRepository
{
    public static function getAllVersionFiles(File $file): Collection|array
    {
        return File::query()
            ->where('object_type', $file->object_type)
            ->where('object_id', $file->object_id)
            ->where("title", $file->title)
            ->where("folder_id", $file->folder_id)
            ->get();
    }
}
